#ifndef _ERRNO_H
#define _ERRNO_H

/* The last error encountered during a call to a library or system function. */
extern int errno;

#define EPERM 1   // Operation not permitted
#define ENOENT 2  // No such file or directory
#define EBADF 9   // Bad file descriptor
#define ENOMEM 12 // Cannot allocate memory
#define EISDIR 21 // Is a directory
#define EINVAL 22 // Invalid argument
#define EMFILE 24 // Too many open files
#define ENOSYS 38 // Function not implemented

#endif